Bug 240236 - x11-wm/xfce4: Update to 4.14
Summary: x11-wm/xfce4: Update to 4.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL: https://reviews.freebsd.org/D21278
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-31 18:57 UTC by Guido Falsi
Modified: 2019-09-19 23:47 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2019-08-31 18:57:21 UTC
I have prepared a set of patches to update XFCE to 4.14.

I'd like to request an exp-run with the patch.

The patch is available in phabric:

https://reviews.freebsd.org/D21278

BTW the review there requires portmgr review and approval to proceed.

Thanks in advance!
Comment 1 Antoine Brodin freebsd_committer 2019-09-03 09:03:18 UTC
patch available at https://people.freebsd.org/~madpilot/xfce414.diff
Comment 3 Guido Falsi freebsd_committer 2019-09-03 15:11:40 UTC
(In reply to Antoine Brodin from comment #2)

xfce4-vala failure is expected, it's deprecated because functionality has been moved in the libraries themselves. Should I directly mark it broken?

The other two I did not expect. I'm checking.
Comment 4 Antoine Brodin freebsd_committer 2019-09-03 15:20:43 UTC
(In reply to Guido Falsi from comment #3)
If it's deprecated, remove it.
Comment 5 Guido Falsi freebsd_committer 2019-09-03 15:36:39 UTC
Thanks for the suggestion.

New patch available here:

https://people.freebsd.org/~madpilot/xfce414.diff


I removed the xfce4-vala port (adding it to MOVED etc.)

The other two errors were caused by a mistake I made in copying files from my development tree to the subversion working directory.
Comment 6 Antoine Brodin freebsd_committer 2019-09-04 19:03:57 UTC
Failure log:

http://pb2.nyi.freebsd.org/data/120i386-default-PR238988/2019-09-04_17h41m41s/logs/xfce4-wavelan-plugin-0.6.1.log

I let you test the fix yourself
Comment 7 Guido Falsi freebsd_committer 2019-09-04 19:29:02 UTC
(In reply to Antoine Brodin from comment #6)

> Failure log:
>
> http://pb2.nyi.freebsd.org/data/120i386-default-PR238988/2019-09-04_17h41m41s/logs/xfce4-wavelan-plugin-0.6.1.log
>
> I let you test the fix yourself

I forgot to svn rm that patch, which has been integrated upstream.

Thanks for the exp-runs!
Comment 8 commit-hook freebsd_committer 2019-09-19 23:46:59 UTC
A commit references this bug:

Author: madpilot
Date: Thu Sep 19 23:46:43 UTC 2019
New revision: 512378
URL: https://svnweb.freebsd.org/changeset/ports/512378

Log:
  Welcome XFCE 4.14 to the FreeBSD ports tree

  - This XFCE release uses almost exclusively gtk3, so the USES=xfce
    now defaults to gtk3
  - Make x11-themes/gtk-xfce-engine an optional dependency(disabled
    by default), it only supports gtk2, so would leave miost of this
    XFCE version unthemed.
  - Add Greybird as an optional and enabled dependency as a modern
    theme supporting both GTK versions and all other XFCE parts
  - The xfce4-vala port is deprecated and removed. The VALA bindings
    are available in the library ports using the GIR and VAPI options
    (on by default)
  - Fixed various missing library and portlint warnings (portmgr fixit
    blanket)
  - Default Display Manager changed to lightdm (Thanks to woodsb02
    for help)
  - Add x11/xfce4-screensaver as an optional dependency to the
    xfce4-goodies (enabled by default)
  - Remove dependency on x11-fm/thunar-vfs and deprecate the port.
    It is EOL upstream and the functionality is included in thunar
    itself

  Update:
  - Added back sysutils/xfce4-places-plugin, updated to 1.8.1
  - archivers/thunar-archive-plugin to 0.4.0
  - audio/thunar-media-tags-plugin to 0.3.0
  - audio/xfce4-mpc-plugin to 0.5.2
  - audio/xfce4-pulseaudio-plugin to 0.4.2
  - deskutils/xfce4-tumbler to 0.2.7
  - devel/thunar-vcs-plugin to 0.2.0 [1]
  - devel/xfce4-dev-tools to 4.14.0
  - misc/xfce4-appfinder to 4.14.0
  - misc/xfce4-weather-plugin to 0.10.0
  - multimedia/xfce4-parole to 1.0.4
  - sysutils/gigolo to 0.5.0
  - sysutils/xfce4-battery-plugin to 1.1.3
  - sysutils/xfce4-fsguard-plugin to 1.1.1
  - sysutils/xfce4-netload-plugin to 1.3.2
  - sysutils/xfce4-power-manage to 1.6.5
  - sysutils/xfce4-settings 4.14.1
  - sysutils/xfce4-systemload-plugin to 1.2.3
  - sysutils/xfce4-wavelan-plugin to 0.6.1
  - www/xfce4-smartbookmark-plugin to 0.5.1
  - x11-clocks/xfce4-datetime-plugin to 0.8.0
  - Added new xfce4-stopwatch-plugin, version 0.3.1
  - x11-clocks/xfce4-timer-out-plugin to 1.0.3
  - x11-fm/thunar to 1.8.9
  - x11-wm/xfce4-desktop to 4.14.1
  - x11-wm/xfce4-panel to 4.14.0
  - x11-wm/xfce4-session to 4.14.0
  - x11-wm/xfce4-wm to 4.14.0
  - x11/libexo to 0.12.8
  - x11/libxfce4menu to 4.14.1
  - x11/libxfce4util to 4.14.0
  - x11/xfce4-conf to 4.14.1
  - x11/xfce4-dashboard to 0.7.5
  - x11/xfce4-screensaver to 0.1.8
  - x11/xfce4-screenshooter-plugin to 1.9.6
  - x11/xfce4-verve-plugin to 2.0.0

  Thanks to: Olivier Duchateau <duchateau.olivier@gmail.com>

  PR:		240236
  Exp-run by:	antoine
  Tested by:	sbruno
  Approved by:    sergey.dyatko@gmail.com (maintainer timeout via
  		email), portmgr (fixit blanket, port breaks with
  		new Thunar if not updated) [1]
  Differential Revision:	https://reviews.freebsd.org/D21278

Changes:
  head/CHANGES
  head/MOVED
  head/Mk/Uses/xfce.mk
  head/archivers/squeeze/Makefile
  head/archivers/thunar-archive-plugin/Makefile
  head/archivers/thunar-archive-plugin/distinfo
  head/archivers/thunar-archive-plugin/pkg-plist
  head/audio/thunar-media-tags-plugin/Makefile
  head/audio/thunar-media-tags-plugin/distinfo
  head/audio/thunar-media-tags-plugin/pkg-plist
  head/audio/xfce4-mixer/Makefile
  head/audio/xfce4-mixer/files/
  head/audio/xfce4-mixer/files/patch-panel-plugin_Makefile.in
  head/audio/xfce4-mixer/files/patch-xfce4-mixer_Makefile.in
  head/audio/xfce4-mpc-plugin/Makefile
  head/audio/xfce4-mpc-plugin/distinfo
  head/audio/xfce4-mpc-plugin/pkg-plist
  head/audio/xfce4-pulseaudio-plugin/Makefile
  head/audio/xfce4-pulseaudio-plugin/distinfo
  head/audio/xfce4-pulseaudio-plugin/pkg-plist
  head/audio/xfmpc/Makefile
  head/deskutils/orage/Makefile
  head/deskutils/xfce4-generic-slider/Makefile
  head/deskutils/xfce4-notes-plugin/Makefile
  head/deskutils/xfce4-notifyd/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/deskutils/xfce4-tumbler/distinfo
  head/deskutils/xfce4-volumed/Makefile
  head/deskutils/xfce4-volumed-pulse/Makefile
  head/deskutils/xfce4-xkb-plugin/Makefile
  head/devel/Makefile
  head/devel/thunar-vcs-plugin/Makefile
  head/devel/thunar-vcs-plugin/distinfo
  head/devel/thunar-vcs-plugin/pkg-plist
  head/devel/xfce4-dev-tools/Makefile
  head/devel/xfce4-dev-tools/distinfo
  head/devel/xfce4-dev-tools/pkg-plist
  head/devel/xfce4-vala/
  head/editors/mousepad/Makefile
  head/graphics/ristretto/Makefile
  head/mail/xfce4-mailwatch-plugin/Makefile
  head/math/xfce4-calculator-plugin/Makefile
  head/misc/xfce4-appfinder/Makefile
  head/misc/xfce4-appfinder/distinfo
  head/misc/xfce4-appfinder/pkg-plist
  head/misc/xfce4-weather-plugin/Makefile
  head/misc/xfce4-weather-plugin/distinfo
  head/misc/xfce4-wm-themes/Makefile
  head/multimedia/xfce4-parole/Makefile
  head/multimedia/xfce4-parole/distinfo
  head/print/xfce4-print/Makefile
  head/science/xfce4-equake-plugin/Makefile
  head/sysutils/Makefile
  head/sysutils/garcon/Makefile
  head/sysutils/gigolo/Makefile
  head/sysutils/gigolo/distinfo
  head/sysutils/gigolo/pkg-plist
  head/sysutils/xfburn/Makefile
  head/sysutils/xfce4-battery-plugin/Makefile
  head/sysutils/xfce4-battery-plugin/distinfo
  head/sysutils/xfce4-battery-plugin/files/
  head/sysutils/xfce4-battery-plugin/pkg-plist
  head/sysutils/xfce4-bsdcpufreq-plugin/Makefile
  head/sysutils/xfce4-cpugraph-plugin/Makefile
  head/sysutils/xfce4-diskperf-plugin/Makefile
  head/sysutils/xfce4-fsguard-plugin/Makefile
  head/sysutils/xfce4-fsguard-plugin/distinfo
  head/sysutils/xfce4-fsguard-plugin/files/
  head/sysutils/xfce4-fsguard-plugin/pkg-plist
  head/sysutils/xfce4-genmon-plugin/Makefile
  head/sysutils/xfce4-mount-plugin/Makefile
  head/sysutils/xfce4-netload-plugin/Makefile
  head/sysutils/xfce4-netload-plugin/distinfo
  head/sysutils/xfce4-netload-plugin/pkg-plist
  head/sysutils/xfce4-places-plugin/
  head/sysutils/xfce4-places-plugin/Makefile
  head/sysutils/xfce4-places-plugin/distinfo
  head/sysutils/xfce4-places-plugin/pkg-descr
  head/sysutils/xfce4-places-plugin/pkg-plist
  head/sysutils/xfce4-power-manager/Makefile
  head/sysutils/xfce4-power-manager/distinfo
  head/sysutils/xfce4-settings/Makefile
  head/sysutils/xfce4-settings/distinfo
  head/sysutils/xfce4-settings/pkg-message
  head/sysutils/xfce4-settings/pkg-plist
  head/sysutils/xfce4-systemload-plugin/Makefile
  head/sysutils/xfce4-systemload-plugin/distinfo
  head/sysutils/xfce4-systemload-plugin/files/
  head/sysutils/xfce4-wavelan-plugin/Makefile
  head/sysutils/xfce4-wavelan-plugin/distinfo
  head/sysutils/xfce4-wavelan-plugin/files/patch-panel-plugin_wavelan.c
  head/sysutils/xfce4-wavelan-plugin/files/patch-panel-plugin_wi__bsd.c
  head/textproc/xfce4-dict-plugin/Makefile
  head/www/midori/Makefile
  head/www/xfce4-smartbookmark-plugin/Makefile
  head/www/xfce4-smartbookmark-plugin/distinfo
  head/www/xfce4-smartbookmark-plugin/pkg-plist
  head/x11/libexo/Makefile
  head/x11/libexo/distinfo
  head/x11/libexo/pkg-plist
  head/x11/libxfce4menu/Makefile
  head/x11/libxfce4menu/distinfo
  head/x11/libxfce4menu/pkg-plist
  head/x11/libxfce4util/Makefile
  head/x11/libxfce4util/distinfo
  head/x11/libxfce4util/pkg-plist
  head/x11/xfce4-clipman-plugin/Makefile
  head/x11/xfce4-conf/Makefile
  head/x11/xfce4-conf/distinfo
  head/x11/xfce4-conf/pkg-plist
  head/x11/xfce4-dashboard/Makefile
  head/x11/xfce4-dashboard/distinfo
  head/x11/xfce4-dashboard/files/
  head/x11/xfce4-dashboard/files/patch-libxfdashboard_application-database.c
  head/x11/xfce4-dashboard/files/patch-libxfdashboard_applications-menu-model.c
  head/x11/xfce4-dashboard/pkg-plist
  head/x11/xfce4-embed-plugin/Makefile
  head/x11/xfce4-goodies/Makefile
  head/x11/xfce4-goodies/pkg-descr
  head/x11/xfce4-quicklauncher-plugin/Makefile
  head/x11/xfce4-screensaver/Makefile
  head/x11/xfce4-screensaver/distinfo
  head/x11/xfce4-screensaver/files/patch-src_xfce4-screensaver-configure
  head/x11/xfce4-screenshooter-plugin/Makefile
  head/x11/xfce4-screenshooter-plugin/distinfo
  head/x11/xfce4-screenshooter-plugin/pkg-plist
  head/x11/xfce4-taskmanager/Makefile
  head/x11/xfce4-terminal/Makefile
  head/x11/xfce4-verve-plugin/Makefile
  head/x11/xfce4-verve-plugin/distinfo
  head/x11/xfce4-verve-plugin/pkg-plist
  head/x11/xfce4-wmdock-plugin/Makefile
  head/x11-clocks/Makefile
  head/x11-clocks/xfce4-datetime-plugin/Makefile
  head/x11-clocks/xfce4-datetime-plugin/distinfo
  head/x11-clocks/xfce4-datetime-plugin/pkg-plist
  head/x11-clocks/xfce4-stopwatch-plugin/
  head/x11-clocks/xfce4-stopwatch-plugin/Makefile
  head/x11-clocks/xfce4-stopwatch-plugin/distinfo
  head/x11-clocks/xfce4-stopwatch-plugin/pkg-descr
  head/x11-clocks/xfce4-stopwatch-plugin/pkg-plist
  head/x11-clocks/xfce4-timer-out-plugin/Makefile
  head/x11-clocks/xfce4-timer-out-plugin/distinfo
  head/x11-clocks/xfce4-timer-out-plugin/pkg-plist
  head/x11-clocks/xfce4-timer-plugin/Makefile
  head/x11-fm/thunar/Makefile
  head/x11-fm/thunar/distinfo
  head/x11-fm/thunar/pkg-plist
  head/x11-fm/thunar-vfs/Makefile
  head/x11-toolkits/libxfce4gui/Makefile
  head/x11-wm/xfce4/Makefile
  head/x11-wm/xfce4/pkg-descr
  head/x11-wm/xfce4-desktop/Makefile
  head/x11-wm/xfce4-desktop/distinfo
  head/x11-wm/xfce4-desktop/pkg-plist
  head/x11-wm/xfce4-panel/Makefile
  head/x11-wm/xfce4-panel/distinfo
  head/x11-wm/xfce4-panel/files/
  head/x11-wm/xfce4-panel/files/patch-plugins_applicationsmenu_applicationsmenu.c
  head/x11-wm/xfce4-panel/files/patch-plugins_pager_pager.c
  head/x11-wm/xfce4-panel/pkg-plist
  head/x11-wm/xfce4-panel-profiles/Makefile
  head/x11-wm/xfce4-session/Makefile
  head/x11-wm/xfce4-session/distinfo
  head/x11-wm/xfce4-session/files/patch-scripts_xflock4
  head/x11-wm/xfce4-session/files/patch-xfce4-session_xfsm-global.h
  head/x11-wm/xfce4-session/pkg-plist
  head/x11-wm/xfce4-wm/Makefile
  head/x11-wm/xfce4-wm/distinfo
  head/x11-wm/xfce4-wm/pkg-plist
Comment 9 Guido Falsi freebsd_committer 2019-09-19 23:47:40 UTC
Update committed.

Thanks!